//
//  SaleInputAddViewController.m
//  HDMall
//
//  Created by Javen on 2017/7/31.
//  Copyright © 2017年 上海勾芒信息科技. All rights reserved.
//

#import "SaleInputAddViewController.h"
#import "SaleInputViewModel.h"
#import "SaleInputAmountCollectionViewCell.h"
#import "SaleInputAddAmountCell.h"
#import "PicViewModel.h"
#import "InspectRepairAddPicTableViewCell.h"
@interface SaleInputAddViewController ()<UITableViewDelegate, UITableViewDataSource>
@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (weak, nonatomic) IBOutlet UIButton *btnBottom;
@property (strong, nonatomic) SaleInputViewModel *viewModel;
@property (strong, nonatomic) NSMutableArray *arrData;
@property (strong, nonatomic) PicViewModel *picVM;
@end

@implementation SaleInputAddViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    WS(weakSelf);
    [self.viewModel httpAllPayments:^(NSMutableArray<HMSaleInputDetail_payments_payment *> *arrPayments) {
        weakSelf.arrData = arrPayments;
        [weakSelf.tableView reloadData];
        CLog(@"%@", arrPayments);
    }];
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    if (section == 0) {
        return self.arrData.count;
    }else{
        return 1;
    }
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    if (indexPath.section == 0) {
        return 50;
    }else{
        return self.picVM.cellHeight;
    }
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    if (indexPath.section == 0) {
        //输入各种支付方式的金额
        SaleInputAddAmountCell *cell = [tableView dequeueReusableCellWithIdentifier:@"SaleInputAddAmountCell" forIndexPath:indexPath];
        cell.isEdit = self.viewModel.type != SaleInputTypeReadOnly;
        [cell configCellWithArray:self.arrData indexPath:indexPath];
//        WS(weakSelf);
        cell.blockNumberChanged = ^{
//            [weakSelf allInputMoney];
        };
        return cell;
    }else{
        InspectRepairAddPicTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"InspectRepairAddPicTableViewCell" forIndexPath:indexPath];
        
        [cell configCellWithViewModel:self.picVM
                            indexPath:indexPath
                               target:self];
        WS(weakSelf);
        cell.blockReloadData = ^{
            [weakSelf.tableView reloadSections:[NSIndexSet indexSetWithIndex:0]
                              withRowAnimation:UITableViewRowAnimationAutomatic];
        };
        return cell;
    }
}

- (void)httpPayments {
    
}

ZJLazy(SaleInputViewModel, viewModel);
ZJLazy(NSMutableArray, arrData);
ZJLazy(PicViewModel, picVM);
@end
